## master

=== Makefile ===
PREFIX?=/usr
CC=gcc
CFLAGS=-Wall -std=c99 -fPIC -O2 -nostartfiles -shared
LIBS=

MACHINE:=$(shell uname -m)

ifeq ($(MACHINE), x86_64)
	LIBDIR?=$(PREFIX)/lib64
else
	LIBDIR?=$(PREFIX)/lib
endif

VERSION=0.2.1

all:
	$(CC) $(CFLAGS) $(INC) ./text-tools.c -o ./text-tools.so $(LDFLAGS) $(LIBS)

clean:
	rm -f ./text-tools.so

install:
	test -d "$(DESTDIR)$(LIBDIR)/efind/extensions" || mkdir -p "$(DESTDIR)$(LIBDIR)/efind/extensions"
	cp ./text-tools.so "$(DESTDIR)$(LIBDIR)/efind/extensions"
	chmod 755 "$(DESTDIR)$(LIBDIR)/efind/extensions/text-tools.so"

uninstall:
	rm -f "$(DESTDIR)$(LIBDIR)/efind/extensions/text-tools.so"

tarball:
	cd .. && \
	rm -rf ./efind-text-tools-$(VERSION) && \
	cp -r ./efind-text-tools ./efind-text-tools-$(VERSION) && \
	find ./efind-text-tools-$(VERSION) -name ".git*" | xargs rm -r && \
	tar cfJ ./efind-text-tools-$(VERSION).tar.xz ./efind-text-tools-$(VERSION) --remove-files

=== debian/changelog ===
efind-text-tools (0.2-1) unstable; urgency=low

  * Python 3 migration

 -- Sebastian Fedrau <sebastian.fedrau@gmail.com>  Tue, 30 Jul 2019 18:25:41 +0100

efind-text-tools (0.2-0) unstable; urgency=low

  * new file locations

 -- Sebastian Fedrau <sebastian.fedrau@gmail.com>  Sat, 23 Dec 2017 15:50:40 +0100

efind-text-tools (0.1-0) unstable; urgency=low

  * Initial release

 -- Sebastian Fedrau <sebastian.fedrau@gmail.com>  Fri, 13 Oct 2017 13:49:48 +0100

=== PKGBUILD ===
# Maintainer: Sebastian Fedrau <sebastian.fedrau@gmail.com>
pkgname=efind-text-tools
pkgver=0.2.1
pkgrel=1
epoch=
pkgdesc="Filter text files by content."
arch=('i686' 'x86_64')
url="https://github.com/20centaurifux/efind-text-tools"
license=('GPL3')
groups=()
depends=('efind>=0.1.0')
makedepends=()
checkdepends=()
optdepends=()
provides=()
conflicts=()
replaces=()
backup=()
options=()
install=
changelog=
source=("$pkgname-$pkgver.tar.xz")
noextract=()
md5sums=('')
validpgpkeys=()

build() {
	cd "$pkgname-$pkgver"
	make
}

package() {
	cd "$pkgname-$pkgver"
	make DESTDIR="$pkgdir/" LIBDIR=/usr/lib install
}

=== debian/control ===
Source: efind-text-tools
Section: utils
Priority: optional
Maintainer: Sebastian Fedrau <sebastian.fedrau@gmail.com>
Build-Depends: debhelper (>=9)
Standards-Version: 3.9.6
Homepage: https://github.com/20centaurifux/efind-text-tools
Vcs-Git: https://github.com/20centaurifux/efind-text-tools.git

Package: efind-text-tools
Architecture: any
Depends: efind (>= 0.1-1), ${shlibs:Depends}
Description: Filter text files by content.
